Texa Desk Application API · Conversation assignments
Assign Conversation
POST/
Assign a conversation to an agent or a team
Authorization
api_access_tokenheaderrequiredA person's access token (Texa Desk, Profile settings → Access token) or an agent bot's token, in the api_access_token header. It acts as that person, with their role's permissions.
Path parameters
account_idintegerrequiredThe numeric ID of the account
conversation_idintegerrequiredThe numeric ID of the conversation
Body application/json
assignee_idnumberId of the assignee user
team_idnumberId of the team. If the assignee_id is present, this param would be ignored
Responses
200Success
idnumberaccess_tokenstringaccount_idnumberavailable_namestringavatar_urlstringconfirmedbooleandisplay_namestringmessage_signaturestringemailstringhmac_identifierstringinviter_idnumbernamestringproviderstringpubsub_tokenstringrolestringOne of: agent, administrator.
ui_settingsobjectuidstringtypestringcustom_attributesobjectAvailable for users who are created through platform APIs and has custom attributes associated.
accountsarray of objectaccounts[].idnumberaccounts[].namestringaccounts[].statusstringaccounts[].active_atstring (date-time)accounts[].rolestringOne of: administrator, agent.
accounts[].permissionsarray of stringaccounts[].availabilitystringaccounts[].availability_statusstringaccounts[].auto_offlinebooleanaccounts[].custom_role_idnumberaccounts[].custom_roleobject401Unauthorized
descriptionstringerrorsarray of objecterrors[].fieldstringerrors[].messagestringerrors[].codestring404Conversation not found
descriptionstringerrorsarray of objecterrors[].fieldstringerrors[].messagestringerrors[].codestring